Bug 134272 - Writer UI: Add Resolved subfilter to Comments filter
Summary: Writer UI: Add Resolved subfilter to Comments filter
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: topicUI
Depends on:
Blocks:
 
Reported: 2020-06-23 19:56 UTC by Timur
Modified: 2020-09-18 07:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Mock mock-up (13.60 KB, image/png)
2020-06-23 19:56 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2020-06-23 19:56:57 UTC
Created attachment 162359 [details]
Mock mock-up

In bug 119228 were added resolved comments and View menu filter.
I suggest enhancement to add "resolved" filter to "comments" filter on UI, per screenshot.  
So that we may show/hide just resolved and show/hide of comments hide all, while preserving the state of "resolved" dropdown setting.
Comment 1 BogdanB 2020-06-24 16:46:44 UTC
Would be nice to show/hide them from UI.
Comment 2 Heiko Tietze 2020-06-25 08:54:01 UTC
Why do you need quick access to toggle visibility of resolved comments? Don't see this need, View > [ ] Resolved Comments is enough in my opinion. This checkbox + label would clutter the UI and potentially enlarge the comments bar. => WFM
Comment 3 Timur 2020-09-18 06:30:43 UTC
Side toggle is faster than menu, same logic with all the icons (why do we need icons when we all have in menu). It seemed to me that there is enough space.


Note: from QA side, this cannot be WFM (which means there was a resolved bug), but only WontFix (which I don't support).
Comment 4 Heiko Tietze 2020-09-18 07:13:44 UTC
Icons (and other controls) clutter the UI. Use only what's necessary. And I don't see users often change the visibility of resolved comments, meaning it's better to "hide" this function in the main menu.